Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class ModuleClassContainer

    java.lang.Object
      pipe.gui.ModuleClassContainer

public class ModuleClassContainer
extends java.lang.Object

ModuleClass encapsulates information about the Module class and is designed to be used as a userobject in nodes in a JTree, in this case for nodes representing module classes. This isn't designed for use anywhere else.

Author:
  Camilla Clifford

Field Summary
`private java.lang.String` | `displayName`
`private java.lang.reflect.Method[]` | `methods`
`private java.lang.Class` | `thisClass`

Constructor Summary
`ModuleClassContainer(java.lang.Class cl)` Sets up the private fields, includes instantiating an object and calling the getName method used to set the displayName.

Method Summary
`java.lang.Class` | `returnClass()` Returns the class object that the ModuleClass encapsulates
`java.lang.String` | `toString()` Overides the object method in order to provide the correct display name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### displayName

    private java.lang.String displayName

### methods

    private java.lang.reflect.Method[] methods

### thisClass

    private java.lang.Class thisClass

Constructor Detail

### ModuleClassContainer

    public ModuleClassContainer(java.lang.Class cl)

  Sets up the private fields, includes instantiating an object and calling the getName method used to set the displayName.

Parameters:
  `cl` - The class that the ModuleClass encapsulates.

Method Detail

### toString

    public java.lang.String toString()

  Overides the object method in order to provide the correct display name

### returnClass

    public java.lang.Class returnClass()

  Returns the class object that the ModuleClass encapsulates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD